/*
 * Copyright (C) 2017 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";
package android.view;

import "frameworks/base/core/proto/android/privacy.proto";

option java_multiple_files = true;

// Represents DisplayInfo. Describes the characteristics of a particular
// logical display.
message DisplayInfoProto {
    option (.android.msg_privacy).dest = DEST_AUTOMATIC;

    optional int32 logical_width = 1;
    optional int32 logical_height = 2;
    optional int32 app_width = 3;
    optional int32 app_height = 4;
    // The human-readable name of the display.
    // Eg: "Built-in Screen"
    optional string name = 5;
    optional int32 flags = 6;
}
